com.fasterxml.jackson.dataformat.xml

## Class XmlAnnotationIntrospector.Pair

- java.lang.Object
- - com.fasterxml.jackson.databind.AnnotationIntrospector
  - - com.fasterxml.jackson.databind.introspect.AnnotationIntrospectorPair
    - - com.fasterxml.jackson.dataformat.xml.XmlAnnotationIntrospector.Pair

All Implemented Interfaces:
  com.fasterxml.jackson.core.Versioned, XmlAnnotationIntrospector, Serializable

Enclosing interface:
  XmlAnnotationIntrospector

    public static class XmlAnnotationIntrospector.Pair
    extends com.fasterxml.jackson.databind.introspect.AnnotationIntrospectorPair
    implements XmlAnnotationIntrospector

Extension of `AnnotationIntrospector.Pair` that can also dispatch 'XmlAnnotationIntrospector' methods.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.AnnotationIntrospector

`com.fasterxml.jackson.databind.AnnotationIntrospector.ReferenceProperty`

### Nested classes/interfaces inherited from interface com.fasterxml.jackson.dataformat.xml.XmlAnnotationIntrospector

`XmlAnnotationIntrospector.JaxbWrapper, XmlAnnotationIntrospector.Pair`

### Field Summary

Fields
`protected XmlAnnotationIntrospector` `_xmlPrimary`
`protected XmlAnnotationIntrospector` `_xmlSecondary`

### Fields inherited from class com.fasterxml.jackson.databind.introspect.AnnotationIntrospectorPair

`_primary, _secondary`

### Constructor Summary

Constructors
Constructor and Description
`XmlAnnotationIntrospector.Pair(com.fasterxml.jackson.databind.AnnotationIntrospector p, com.fasterxml.jackson.databind.AnnotationIntrospector s)`

### Method Summary

Methods
`String` `findNamespace(com.fasterxml.jackson.databind.introspect.Annotated ann)` Method that can be called to figure out generic namespace property for an annotated object.
`static XmlAnnotationIntrospector.Pair` `instance(com.fasterxml.jackson.databind.AnnotationIntrospector a1, com.fasterxml.jackson.databind.AnnotationIntrospector a2)`
`Boolean` `isOutputAsAttribute(com.fasterxml.jackson.databind.introspect.Annotated ann)` Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it be output as an XML attribute or not (as element)
`Boolean` `isOutputAsCData(com.fasterxml.jackson.databind.introspect.Annotated ann)` Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it should be wrapped in a CDATA tag.
`Boolean` `isOutputAsText(com.fasterxml.jackson.databind.introspect.Annotated ann)` Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it should be serialized as text, without element wrapper.

### Methods inherited from class com.fasterxml.jackson.databind.introspect.AnnotationIntrospectorPair

`_isExplicitClassOrOb, allIntrospectors, allIntrospectors, create, findAutoDetectVisibility, findContentDeserializer, findContentSerializer, findDeserializationContentConverter, findDeserializationContentType, findDeserializationConverter, findDeserializationKeyType, findDeserializationType, findDeserializer, findEnumValue, findFilterId, findFilterId, findFormat, findIgnoreUnknownProperties, findImplicitPropertyName, findInjectableValueId, findKeyDeserializer, findKeySerializer, findNameForDeserialization, findNameForSerialization, findNamingStrategy, findNullSerializer, findObjectIdInfo, findObjectReferenceInfo, findPOJOBuilder, findPOJOBuilderConfig, findPropertiesToIgnore, findPropertyContentTypeResolver, findPropertyDescription, findPropertyIndex, findPropertyTypeResolver, findReferenceType, findRootName, findSerializationContentConverter, findSerializationContentType, findSerializationConverter, findSerializationInclusion, findSerializationKeyType, findSerializationPropertyOrder, findSerializationSortAlphabetically, findSerializationSortAlphabetically, findSerializationType, findSerializationTyping, findSerializer, findSubtypes, findTypeName, findTypeResolver, findUnwrappingNameTransformer, findValueInstantiator, findViews, findWrapperName, hasAnyGetterAnnotation, hasAnySetterAnnotation, hasAsValueAnnotation, hasCreatorAnnotation, hasIgnoreMarker, hasRequiredMarker, isAnnotationBundle, isIgnorableType, isTypeId, version`

### Methods inherited from class com.fasterxml.jackson.databind.AnnotationIntrospector

`nopInstance, pair`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _xmlPrimary

    protected final XmlAnnotationIntrospector _xmlPrimary

#### _xmlSecondary

    protected final XmlAnnotationIntrospector _xmlSecondary

### Constructor Detail

#### XmlAnnotationIntrospector.Pair

    public XmlAnnotationIntrospector.Pair(com.fasterxml.jackson.databind.AnnotationIntrospector p,
                                  com.fasterxml.jackson.databind.AnnotationIntrospector s)

### Method Detail

#### instance

    public static XmlAnnotationIntrospector.Pair instance(com.fasterxml.jackson.databind.AnnotationIntrospector a1,
                                          com.fasterxml.jackson.databind.AnnotationIntrospector a2)

#### findNamespace

    public String findNamespace(com.fasterxml.jackson.databind.introspect.Annotated ann)

Description copied from interface: `XmlAnnotationIntrospector`
Method that can be called to figure out generic namespace property for an annotated object.

Specified by:
  `findNamespace` in interface `XmlAnnotationIntrospector`
Returns:
  Null if annotated thing does not define any namespace information; non-null namespace (which may be empty String) otherwise

#### isOutputAsAttribute

    public Boolean isOutputAsAttribute(com.fasterxml.jackson.databind.introspect.Annotated ann)

Description copied from interface: `XmlAnnotationIntrospector`
Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it be output as an XML attribute or not (as element)

Specified by:
  `isOutputAsAttribute` in interface `XmlAnnotationIntrospector`

#### isOutputAsText

    public Boolean isOutputAsText(com.fasterxml.jackson.databind.introspect.Annotated ann)

Description copied from interface: `XmlAnnotationIntrospector`
Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it should be serialized as text, without element wrapper.

Specified by:
  `isOutputAsText` in interface `XmlAnnotationIntrospector`

#### isOutputAsCData

    public Boolean isOutputAsCData(com.fasterxml.jackson.databind.introspect.Annotated ann)

Description copied from interface: `XmlAnnotationIntrospector`
Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it should be wrapped in a CDATA tag.

Specified by:
  `isOutputAsCData` in interface `XmlAnnotationIntrospector`